************************************************************************
*
*  File: ASSNNZER
*
*  Asserts that the given number is not 0.
*
*  Tags: NUNIT, assertion
*
*  Parameters:
*    NUASSP    - Assertion parameters.
*    #ACTUAL   - The actual value.
*
*  Returns:
*    -
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: ASSNNZER.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER USING NUASSP
*
PARAMETER
01 #ACTUAL (N20,7)BY VALUE
*
LOCAL USING NUCONST
*
END-DEFINE
*
************************************************************************
DEFINE SUBROUTINE ASSERT-NUM-NOT-ZERO
************************************************************************
*
INCLUDE NUASSHD
*
IF #ACTUAL EQ 0
  COMPRESS NUASSP.MESSAGE 'Number is zero.' INTO NUASSP.MESSAGE 
  *ERROR-NR := ASSERTION-ERROR 
END-IF
*
END-SUBROUTINE
************************************************************************
*
END
