************************************************************************
*
*  File: ASSNUMEQ
*
*  Asserts that two numbers are equal.
*
*  Tags: NUNIT, assertion
*
*  Parameters:
*    NUASSP    - Assertion parameters.
*    #EXPECTED - The expected value.
*    #ACTUAL   - The actual value.
*
*  Returns:
*    -
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: ASSNUMEQ.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER USING NUASSP
*
PARAMETER
01 #EXPECTED (N20,7) BY VALUE
01 #ACTUAL (N20,7) BY VALUE
*
LOCAL USING NUCONST
*
LOCAL
01 #GIVEN-MESSAGE (A) DYNAMIC
*
END-DEFINE
*
************************************************************************
DEFINE SUBROUTINE ASSERT-NUM-EQUALS
************************************************************************
*
INCLUDE NUASSHD
*
IF NUASSP.MESSAGE NE ' '
  #GIVEN-MESSAGE := NUASSP.MESSAGE 
END-IF
*
IF #ACTUAL NE #EXPECTED
  COMPRESS NUMERIC NUASSP.MESSAGE ' <' #ACTUAL '> should be <' #EXPECTED '>' 
    INTO NUASSP.MESSAGE LEAVING NO 
  COMPRESS #GIVEN-MESSAGE NUASSP.MESSAGE INTO NUASSP.MESSAGE 
  *ERROR-NR := ASSERTION-ERROR 
END-IF
*
END-SUBROUTINE
*
END
